Skip to content
Developer

EmploymentQualificationGroup

Staff5 EndpointsTimeTracking / EmploymentQualificationGroup

This method will get all EmploymentQualificationGroup Objects

GET/api/time/employment/qualification_group

Query parameters

idinteger
deletedbooleanThis property is used to mark an entity as deleted / archived | Default value: false
namestring
sortOrderintegerOrder in pickers and legends.
createdstring
searchStringstringtext to search for in the list
orderFieldNamestringname of the order field
orderFieldSortstringsorting modeAllowed: DESCASC
pageintegerpage of the list
pageSizeintegernumber of entries for each page
withMaxPageNumberstringreturns the number of pages available as a header if this is set

Responses

200Returns a list of EmploymentQualificationGroup objectsarray<EmploymentQualificationGroup>

Show fields (7)
  • idinteger

    Primary key of the qualification group. Internal ID.

  • sort_orderinteger

    Order in pickers and legends.

  • search_stringstring

    Text that the entity can be searched by.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • namestring

    Name of the entity.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/time/employment/qualification_group \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
[
  {
    "id": 42,
    "name": "Beispiel",
    "sort_order": 1,
    "search_string": "string",
    "deleted": true,
    "created": "2026-10-15T09:30:00+02:00",
    "updated": "2026-10-15T09:30:00+02:00"
  }
]

Add a new EmploymentQualificationGroup

POST/api/time/employment/qualification_group

Request body application/json

  • dataEmploymentQualificationGroup2
    Show fields (3)
    • sort_orderinteger

      Order in pickers and legends.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • namestring

      Name of the entity.

Responses

200Add a new EmploymentQualificationGroupEmploymentQualificationGroup

Show fields (7)
  • idinteger

    Primary key of the qualification group. Internal ID.

  • sort_orderinteger

    Order in pickers and legends.

  • search_stringstring

    Text that the entity can be searched by.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • namestring

    Name of the entity.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/time/employment/qualification_group \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "name": "Beispiel",
    "sort_order": 1,
    "deleted": true
  }
}
'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "sort_order": 1,
  "search_string": "string",
  "deleted": true,
  "created": "2026-10-15T09:30:00+02:00",
  "updated": "2026-10-15T09:30:00+02:00"
}

This method will get a single EmploymentQualificationGroup with the given id

GET/api/time/employment/qualification_group/{id}

Path parameters

idrequiredstring

Responses

200Returns a single EmploymentQualificationGroupEmploymentQualificationGroup

Show fields (7)
  • idinteger

    Primary key of the qualification group. Internal ID.

  • sort_orderinteger

    Order in pickers and legends.

  • search_stringstring

    Text that the entity can be searched by.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • namestring

    Name of the entity.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/time/employment/qualification_group/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "sort_order": 1,
  "search_string": "string",
  "deleted": true,
  "created": "2026-10-15T09:30:00+02:00",
  "updated": "2026-10-15T09:30:00+02:00"
}

Update a EmploymentQualificationGroup

PUT/api/time/employment/qualification_group/{id}

Path parameters

idrequiredstring

Request body application/json

  • dataEmploymentQualificationGroup2
    Show fields (3)
    • sort_orderinteger

      Order in pickers and legends.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • namestring

      Name of the entity.

Responses

200Update a EmploymentQualificationGroupEmploymentQualificationGroup

Show fields (7)
  • idinteger

    Primary key of the qualification group. Internal ID.

  • sort_orderinteger

    Order in pickers and legends.

  • search_stringstring

    Text that the entity can be searched by.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • namestring

    Name of the entity.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

Request
curl --request PUT \
  --url https://your-instance.iw-erp.de/api/time/employment/qualification_group/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "name": "Beispiel",
    "sort_order": 1,
    "deleted": true
  }
}
'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "sort_order": 1,
  "search_string": "string",
  "deleted": true,
  "created": "2026-10-15T09:30:00+02:00",
  "updated": "2026-10-15T09:30:00+02:00"
}

Update a EmploymentQualificationGroup

PATCH/api/time/employment/qualification_group/{id}

Path parameters

idrequiredstring

Request body application/json

  • dataEmploymentQualificationGroup2
    Show fields (3)
    • sort_orderinteger

      Order in pickers and legends.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • namestring

      Name of the entity.

Responses

200Update a EmploymentQualificationGroupEmploymentQualificationGroup

Show fields (7)
  • idinteger

    Primary key of the qualification group. Internal ID.

  • sort_orderinteger

    Order in pickers and legends.

  • search_stringstring

    Text that the entity can be searched by.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • namestring

    Name of the entity.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

Request
curl --request PATCH \
  --url https://your-instance.iw-erp.de/api/time/employment/qualification_group/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "name": "Beispiel",
    "sort_order": 1,
    "deleted": true
  }
}
'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "sort_order": 1,
  "search_string": "string",
  "deleted": true,
  "created": "2026-10-15T09:30:00+02:00",
  "updated": "2026-10-15T09:30:00+02:00"
}